Subject: Installation script fails on distributions that use busybox
From: conses <[email-masked]>
To: [email-masked]
Date: Fri, 28 Oct 2022 22:30:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Following the instructions in the manual, I attempted to install the
package manager in Alpine Linux via the official installation
script. However, after completing the first prompts I got the error
"mktemp: (null): Invalid argument". Upon closer inspection of the script
and busybox's `mktemp' help page, which states the following:

TEMPLATE must end with XXXXXX (e.g. [/dir/]nameXXXXXX)

It's clear that the script should be modified to account for this with
at least 6 "X" characters in the template, and this wouldn't pose a
problem with GNU's `mktemp' because it takes "at least" 3 of them.

-- 
Best regards,
conses